[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# WideCompareStr

Compare two widestrings (case sensitive)

## Declaration

Source position: syswideh.inc line 27

`function WideCompareStr(`
`const s1: WideString;`
`const s2: WideString`
`):PtrInt;`

## Description

WideCompareStr compares two widestrings and returns the following result:

< 0
  if S1<S2.
0
  if S1=S2.
> 0
  if S1>S2.

The comparision takes into account wide characters, i.e. it takes care of strange accented characters. Contrary to WideCompareText, the comparision is case sensitive.

## Errors

None.

## See also

WideCompareText |  | Compare two widestrings (ignoring case).
WideSameStr |  | Check whether two widestrings are the same (case sensitive)
WideSameText |  | Check whether two widestrings are the same (ignoring case)

Documentation generated on: Feb 26 2014